IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The message template object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this email template is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

attachmentsArray<{ filename: string; url: string; type: string }>

List of attachments to include in the email

bodyMultiLanguageString

Body of the email

ftstsvector

Full text search index

include_booking_detailsboolean

Whether to include booking details in the email

include_booking_linkboolean

Whether to include a link to the booking status page in the email

include_ical_databoolean

Whether to include an iCal attachment in the email

include_product_imageboolean

Whether to include a product image in the email

momentMomentExpression | null

Moment at which the email should be sent.

past_schedule_behavior"skip" | "send"

Behavior when the message is created with a schedule in the past

status"CANCELLED" | "TENTATIVE" | "CONFIRMED"

Whether the message will be scheduled for pending and confirmed events, or just for confirmed events

subjectMultiLanguageString

Subject of the email

timetime without time zone | null

Time at which the message should be sent

triggertext | null

Trigger of the email template

type"email" | "sms"

Message type. email or sms

The message template object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:02:28.654Z",
  "updated_at": "2026-03-12T04:02:28.654Z",
  "attachments": [
    {
      "filename": "file",
      "url": "https://example.com",
      "type": "application/pdf"
    }
  ],
  "body": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "include_booking_details": false,
  "include_booking_link": true,
  "include_ical_data": false,
  "include_product_image": false,
  "moment": {
    "offset": 1,
    "type": "check-in"
  },
  "past_schedule_behavior": "send",
  "status": "CONFIRMED",
  "subject": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "time": null,
  "trigger": "",
  "type": "email"
}

List message templates

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this email template is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentsFilter<Array<{ filename: string; url: string; type: string }>>

List of attachments to include in the email

bodyFilter<MultiLanguageString>

Body of the email

ftsFilter<tsvector>

Full text search index

include_booking_detailsFilter<boolean>

Whether to include booking details in the email

include_booking_linkFilter<boolean>

Whether to include a link to the booking status page in the email

include_ical_dataFilter<boolean>

Whether to include an iCal attachment in the email

include_product_imageFilter<boolean>

Whether to include a product image in the email

momentFilter<MomentExpression | null>

Moment at which the email should be sent.

past_schedule_behaviorFilter<"skip" | "send">

Behavior when the message is created with a schedule in the past

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the message will be scheduled for pending and confirmed events, or just for confirmed events

subjectFilter<MultiLanguageString>

Subject of the email

timeFilter<time without time zone | null>

Time at which the message should be sent

triggerFilter<text | null>

Trigger of the email template

typeFilter<"email" | "sms">

Message type. email or sms

Responses

200

A list of message templates with the selected columns

206

Partial Content

GET /message_templates
curl -X GET "https://api.bookingmood.com/v1/message_templates?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create message templates

Body

Partial<MessageTemplate> | Array<Partial<MessageTemplate>>

Responses

201

The newly created message templates with the selected columns

POST /message_templates
curl -X POST "https://api.bookingmood.com/v1/message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete message templates

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this email template is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentsFilter<Array<{ filename: string; url: string; type: string }>>

List of attachments to include in the email

bodyFilter<MultiLanguageString>

Body of the email

ftsFilter<tsvector>

Full text search index

include_booking_detailsFilter<boolean>

Whether to include booking details in the email

include_booking_linkFilter<boolean>

Whether to include a link to the booking status page in the email

include_ical_dataFilter<boolean>

Whether to include an iCal attachment in the email

include_product_imageFilter<boolean>

Whether to include a product image in the email

momentFilter<MomentExpression | null>

Moment at which the email should be sent.

past_schedule_behaviorFilter<"skip" | "send">

Behavior when the message is created with a schedule in the past

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the message will be scheduled for pending and confirmed events, or just for confirmed events

subjectFilter<MultiLanguageString>

Subject of the email

timeFilter<time without time zone | null>

Time at which the message should be sent

triggerFilter<text | null>

Trigger of the email template

typeFilter<"email" | "sms">

Message type. email or sms

Responses

204

The deleted message templates with the selected columns

DELETE /message_templates
curl -X DELETE "https://api.bookingmood.com/v1/message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update message templates

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this email template is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

attachmentsFilter<Array<{ filename: string; url: string; type: string }>>

List of attachments to include in the email

bodyFilter<MultiLanguageString>

Body of the email

ftsFilter<tsvector>

Full text search index

include_booking_detailsFilter<boolean>

Whether to include booking details in the email

include_booking_linkFilter<boolean>

Whether to include a link to the booking status page in the email

include_ical_dataFilter<boolean>

Whether to include an iCal attachment in the email

include_product_imageFilter<boolean>

Whether to include a product image in the email

momentFilter<MomentExpression | null>

Moment at which the email should be sent.

past_schedule_behaviorFilter<"skip" | "send">

Behavior when the message is created with a schedule in the past

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the message will be scheduled for pending and confirmed events, or just for confirmed events

subjectFilter<MultiLanguageString>

Subject of the email

timeFilter<time without time zone | null>

Time at which the message should be sent

triggerFilter<text | null>

Trigger of the email template

typeFilter<"email" | "sms">

Message type. email or sms

Body

Partial<MessageTemplate>

Responses

204

The updated message templates with the selected columns

PATCH /message_templates
curl -X PATCH "https://api.bookingmood.com/v1/message_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'